/* matrix/gdl_labeled_matrix.h
 * 
 * Copyright (C) 2009, Jean-Baptiste Veyrieras
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __GDL_LABELED_MATRIX_H__
#define __GDL_LABELED_MATRIX_H__

#include <stdlib.h>
#include <gdl/gdl_common.h>
#include <gdl/gdl_types.h>
#include <gdl/gdl_errno.h>
#include <gdl/gdl_string.h>
#include <gdl/gdl_matrix.h>

__BEGIN_DECLS

typedef struct
{
	gdl_matrix * X;
	gdl_string ** row_names;
	gdl_string ** col_names;
} gdl_labeled_matrix;

gdl_labeled_matrix * gdl_labeled_matrix_alloc (const size_t N, const size_t M);
void gdl_labeled_matrix_free (gdl_labeled_matrix * m);
int gdl_labeled_matrix_fwrite (FILE * stream, const gdl_labeled_matrix * m);
int gdl_labeled_matrix_fprintf (FILE * stream, const gdl_labeled_matrix * m);
gdl_labeled_matrix * gdl_labeled_matrix_fread (FILE * stream);

__END_DECLS

#endif
